﻿using DesktopTools.Models;

namespace DesktopTools.Interfaces
{
	/// <summary>
	/// Работа с generic-контролом списка
	/// </summary>
	public interface IGenericControlEntityList
	{
		/// <summary>
		/// Новый экземпляр контрола
		/// </summary>
		/// <returns></returns>
		IControl GetInstanceGenericControl();

		/// <summary>
		/// Получение настроек
		/// </summary>
		/// <returns></returns>
		ControlViewEntityListConfiguration GetConfigControl();
	}
}