﻿using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
    /// <summary>
    /// Получение блока дисциплин
    /// </summary>
	public class DisciplineBlockGetBindingModel : GetBindingModel
    {
    }

    /// <summary>
    /// Сохранение блока дисциплин
    /// </summary>
    public class DisciplineBlockSetBindingModel : SetBindingModel
    {
        [Required(ErrorMessage = "required")]
        [MapConfiguration("Title")]
        public string Title { get; set; }

        [MapConfiguration("DisciplineBlockUseForGrouping")]
        public bool DisciplineBlockUseForGrouping { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("DisciplineBlockOrder")]
        public int DisciplineBlockOrder { get; set; }

        [MapConfiguration("DisciplineBlockBlueAsteriskName")]
        public string DisciplineBlockBlueAsteriskName { get; set; }
    }
}