﻿using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
    /// <summary>
    /// Получение ученого звания преподавателя
    /// </summary>
    public class LecturerAcademicRankGetBindingModel : GetBindingModel
    {
    }

    /// <summary>
    /// Сохранение ученого звания преподавателя
    /// </summary>
    public class LecturerAcademicRankSetBindingModel : SetBindingModel
    {
        [Required(ErrorMessage = "required")]
        [MapConfiguration("LecturerAcademicRankName")]
        public string LecturerAcademicRankName { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("Order")]
        public int Order { get; set; }
    }
}