﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ModuleTools.BusinessLogics;
using ModuleTools.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с записями учебного плана
	/// </summary>
	public class AcademicPlanRecordBusinessLogic : GenericBusinessLogic<AcademicPlanRecordGetBindingModel, AcademicPlanRecordSetBindingModel, AcademicPlanRecordListViewModel, AcademicPlanRecordViewModel>
	{
		public AcademicPlanRecordBusinessLogic(IAcademicPlanRecordService service) : base(service, "Записи Учебных Планов", AccessOperation.УчебныеПланы) { }
	}
}