﻿using ModuleTools.BusinessLogics;
using ModuleTools.Enums;
using SecurityBusinessLogic.BindingModels;
using SecurityBusinessLogic.Interfaces;
using SecurityBusinessLogic.ViewModels;

namespace SecurityBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с ролями
	/// </summary>
	public class RoleBusinessLogic : GenericBusinessLogic<RoleGetBindingModel, RoleSetBindingModel, RoleListViewModel, RoleViewModel>
	{
		public RoleBusinessLogic(IRoleService service) : base(service, "Роли", AccessOperation.Роли) { }
	}
}