﻿using ModuleTools.Attributes;
using System;

namespace ModuleTools.BindingModels
{
	/// <summary>
	/// Сохранение записи по идентификатору
	/// </summary>
	public class SetBindingModel : AccessBindingModel
	{
		/// <summary>
		/// Идентификатор записи
		/// </summary>
		[MapConfiguration("Id")]
		public Guid Id { get; set; } = Guid.NewGuid();
	}
}