﻿using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
    /// <summary>
    /// Получение ученой степени преподавателя
    /// </summary>
    public class LecturerAcademicDegreeGetBindingModel : GetBindingModel
    {
    }

    /// <summary>
    /// Сохранение ученой степени преподавателя
    /// </summary>
    public class LecturerAcademicDegreeSetBindingModel : SetBindingModel
    {
        [Required(ErrorMessage = "required")]
        [MapConfiguration("LecturerAcademicDegreeName")]
        public string LecturerAcademicDegreeName { get; set; }

        [MapConfiguration("Description")]
        public string Description { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("Order")]
        public int Order { get; set; }
    }
}